Holger's Java API

## com.antelmann.math
Enum DataPoint.ValueType

    java.lang.Object
      java.lang.Enum<DataPoint.ValueType>
          com.antelmann.math.DataPoint.ValueType

All Implemented Interfaces:
  Serializable, Comparable<DataPoint.ValueType>

Enclosing class:
  DataPoint

    public static enum DataPoint.ValueType

extends Enum<DataPoint.ValueType>

defines what value of a `DataPoint` is of interest

See Also:
  `DataPoint.getValue(com.antelmann.math.DataPoint.ValueType)`

Enum Constant Summary
`AVERAGE`
`COUNT`
`MAX`
`MIN`
`STANDARD_DEVIATION`
`SUM`

Method Summary
`static DataPoint.ValueType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DataPoint.ValueType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COUNT

    public static final DataPoint.ValueType COUNT

### SUM

    public static final DataPoint.ValueType SUM

### MIN

    public static final DataPoint.ValueType MIN

### MAX

    public static final DataPoint.ValueType MAX

### AVERAGE

    public static final DataPoint.ValueType AVERAGE

### STANDARD_DEVIATION

    public static final DataPoint.ValueType STANDARD_DEVIATION

Method Detail

### values

    public static DataPoint.ValueType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DataPoint.ValueType c : DataPoint.ValueType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DataPoint.ValueType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads